> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self Serve Get Payment Batch Gas Estimate

> Builds the batch's Safe transfer list and estimates gas and native cost for the multi-send.

Required scope: `payments:read`. It also needs `banking:read`, `compensation:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /hris/self-serve-get-payment-batch-gas-estimate
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/self-serve-get-payment-batch-gas-estimate:
    get:
      operationId: selfServeGetPaymentBatchGasEstimate
      summary: Self Serve Get Payment Batch Gas Estimate
      x-toku-required-scope: payments:read
      description: >-
        Builds the batch's Safe transfer list and estimates gas and native cost
        for the multi-send.


        Required scope: `payments:read`. It also needs `banking:read`,
        `compensation:read`.
      parameters:
        - name: payrollID
          in: query
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SelfServeGetPaymentBatchGasEstimateResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    SelfServeGetPaymentBatchGasEstimateResponse:
      type: object
      properties:
        safeTxGas:
          type: string
        baseGas:
          type: string
        estimatedTotalGas:
          type: string
        gasPrice:
          type: string
        estimatedCostWei:
          type: string
        estimatedCostEth:
          type: string
        nativeSymbol:
          type: string
        transfers:
          type: array
          items:
            type: object
            properties:
              recipientAddress:
                type: string
              amount:
                type: string
              recipientName:
                type: string
              invoiceNumber:
                type: string
            required:
              - recipientAddress
              - amount
      required:
        - safeTxGas
        - baseGas
        - estimatedTotalGas
        - gasPrice
        - estimatedCostWei
        - estimatedCostEth
        - nativeSymbol
        - transfers
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
